<template>
    <div class="card-feedback" :class="`card-feedback--${item.type}`">
    	<div class="card-feedback__inner">
            <a :href="getPopupLinkMedia" :class="getPopupClassesMedia" :style="`background-image: url(${item.photo})`" v-if="item.type == 'video' || 'photo'"></a>

	        <div class="card-feedback__content">
	        	<div class="card-feedback__text">        		
		            <div class="card-feedback__label"><span class="neo-label">{{ item.title }}</span></div>
		            <p class="card-feedback__text" v-if="!item.video">{{item.text | truncate }}</p>
	        	</div>
	            <a :href="getPopupLinkButton" :class="getPopupClassesButton" class="button button--ghost-pink button--full button--small">{{ _trans(buttonText) }}</a>
	        </div>

    	</div>
        <div class="modal-content js-tingle-modal-content" :id="`tingle-modal-card-feedback${index}`" v-html="item.popup_inner" v-if="item.popup_inner"></div>
    </div>
</template>

<script>
import truncate from "lodash-es/truncate";

export default {
    props: ['item', 'index'],
    filters: {
    	truncate: (str) => {
    		return truncate(str, {length: 300})
    	}
    },
    computed: {
        buttonText: function () {
            if (this.item.type !== 'text') {

                if (this.item.popup_inner) {
                    return 'Читать отзыв';
                } else {

                    switch (this.item.type) {
                        case 'video':
                            return 'Смотреть видео';
                            break;
                        case 'photo':
                            return 'Подтверждение отзыва';
                            break;
                        default:
                            return 'Читать отзыв';
                            break;
                    }

                }

            } else {
                return 'Читать продолжение';
            }
        },
        getPopupClassesMedia: function () {
            switch (this.item.type) {
                case 'video':
                    return 'card-feedback__video js-tingle-modal js-tingle-modal--video';
                    break;
                case 'photo':
                    return 'card-feedback__photo js-tingle-modal js-tingle-modal--image';
                    break;
            }
        },
        getPopupLinkMedia: function () {
            switch (this.item.type) {
                case 'video':
                    return this.item.video;
                    break;
                case 'photo':
                    return this.item.photo;
                    break;
                default:
                    return `#tingle-modal-card-feedback${this.index}`;
                    break;
            }
        },
        getPopupClassesButton: function () {
            if (this.item.popup_inner) {
                return 'js-tingle-modal js-tingle-modal--text';
            } else {
                switch (this.item.type) {
                    case 'video':
                        return 'js-tingle-modal js-tingle-modal--video';
                        break;
                    case 'photo':
                        return 'js-tingle-modal js-tingle-modal--image';
                        break;
                    default:
                        return 'js-tingle-modal js-tingle-modal--text';
                        break;
                }
            }
        },
        getPopupLinkButton: function () {
            if (this.item.popup_inner) {
                return `#tingle-modal-card-feedback${this.index}`;
            } else {
                switch (this.item.type) {
                    case 'video':
                        return this.item.video;
                        break;
                    case 'photo':
                        return this.item.photo;
                        break;
                    default:
                        return `#tingle-modal-card-feedback${this.index}`;
                        break;
                }
            }
        },
    }

}
</script>